aiengine: xaietile_noc.h File Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

xaietile_noc.h File Reference

## Overview

Header file for NoC module.

    MODIFICATION HISTORY:

    Ver     Who     Date            Changes

    1.0     Nishad  01/29/2019      Initial creation

## Functions
u16 | XAieTile_NoCIntcL2StatusGet (XAieGbl_Tile *TileInstPtr)
| This API returns the status of 2nd level interrupt. More...
void | XAieTile_NoCIntcL2StatusClear (XAieGbl_Tile *TileInstPtr, u16 Mask)
| This API clears the status of interrupt at the 2nd level interrupt controller level. More...
u16 | XAieTile_NoCIntcL2Mask (XAieGbl_Tile *TileInstPtr)
| This API returns the current mask value for 2nd level interrupt controller. More...
void | XAieTile_NoCIntcL2Enable (XAieGbl_Tile *TileInstPtr, u16 InterruptBitMask)
| This API configures the 2nd level interrupt controller to be triggered by a groups of interrupts defined at the 1st level section. More...
void | XAieTile_NoCIntcL2Disable (XAieGbl_Tile *TileInstPtr, u16 InterruptBitMask)
| This API configures the 2nd level interrupt controller to ignore groups of interrupts defined at the 1st level section. More...
u8 | XAieTile_NoCIntcL2IntrGet (XAieGbl_Tile *TileInstPtr)
| This API returns the NoC interrupt line number to which the 2nd level interrupt controller is driving the 1st level interrupts to. More...
void | XAieTile_NoCIntcL2IntrSet (XAieGbl_Tile *TileInstPtr, u8 NoCInterrupt)
| This API configures the 2nd level interrupt controller to drive one of the the four NoC interrupt line when an active event occurs. More...

## Function Documentation

void XAieTile_NoCIntcL2Disable | ( | XAieGbl_Tile * | TileInstPtr,
|  | u16 | InterruptBitMask
| ) |  |

This API configures the 2nd level interrupt controller to ignore groups of interrupts defined at the 1st level section.

Parameters

  TileInstPtr | - Pointer to the Tile instance. Should be shim NoC tile
  InterruptBitMask | - Group of events to ignore at 2nd level controller

Returns
  None

Note
  None

References XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

void XAieTile_NoCIntcL2Enable | ( | XAieGbl_Tile * | TileInstPtr,
|  | u16 | InterruptBitMask
| ) |  |

This API configures the 2nd level interrupt controller to be triggered by a groups of interrupts defined at the 1st level section.

Parameters

  TileInstPtr | - Pointer to the Tile instance. Should be shim NoC tile
  InterruptBitMask | - Group of events to trigger 2nd level controller

Returns
  None

Note
  None

References XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u8 XAieTile_NoCIntcL2IntrGet | ( | XAieGbl_Tile * | TileInstPtr | ) |

This API returns the NoC interrupt line number to which the 2nd level interrupt controller is driving the 1st level interrupts to.

Parameters

  TileInstPtr | - Pointer to the Tile instance. Should be shim NoC tile.

Returns
  NoC interrupt line number

Note
  None

References XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

void XAieTile_NoCIntcL2IntrSet | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 | NoCInterrupt
| ) |  |

This API configures the 2nd level interrupt controller to drive one of the the four NoC interrupt line when an active event occurs.

Parameters

  TileInstPtr | - Pointer to the Tile instance. Should be shim NoC tile
  NoCInterrupt | - NoC interrupt line number

Returns
  None

Note
  None

References XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u16 XAieTile_NoCIntcL2Mask | ( | XAieGbl_Tile * | TileInstPtr | ) |

This API returns the current mask value for 2nd level interrupt controller.

Masking/unmasking of interrupts from 1st level sections can be done using XAieTile_NoCIntcL2Enable() and XAieTile_NoCIntcL2Disable() APIs

Parameters

  TileInstPtr | - Pointer to the Tile instance. Should be shim NoC tile

Returns
  Current 16-bit mask value

Note
  None

References XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

void XAieTile_NoCIntcL2StatusClear | ( | XAieGbl_Tile * | TileInstPtr,
|  | u16 | Mask
| ) |  |

This API clears the status of interrupt at the 2nd level interrupt controller level.

As each bit in the status corresponds to the type of interrupt from a particular 1st level section, supply a set bit in the Mask value at the same location to clear the status

Parameters

  TileInstPtr | - Pointer to the Tile instance. Should be shim NoC tile
  Mask | - Set bit corresponding to the status to be cleared

Returns
  None

Note
  None

References XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.

u16 XAieTile_NoCIntcL2StatusGet | ( | XAieGbl_Tile * | TileInstPtr | ) |

This API returns the status of 2nd level interrupt.

Each bit in the status value corresponds to a particular type of interrupt from a specific 1st level section

Parameters

  TileInstPtr | - Pointer to the Tile instance. Should be shim NoC tile

Returns
  Current 16-bit status value

Note
  None

References XAieGbl_Tile::TileAddr, and XAieGbl_Tile::TileType.